// SuitPiste.ino 
// En continu, on modifie le pwm des deux moteurs selon l'écart.
#include "XBotDef.h"
//#define Serie  
void setup() { 
  XBotSetup ();
#ifdef Serie
  Serial.begin(9600);
#endif
}
#define PinAvG 5
#define PinAvD 6
#define Centre A1    // entrée analo
#define LimiteNB 80  // Selon mesure préalable avec Terminal
#define Vitesse 20   // max127
int caPiste, ecart; 
int vitG, vitD;
void loop()  {
 caPiste = ((analogRead (Centre))/4); // 53--110
 ecart = caPiste - LimiteNB; 
 vitG =  Vitesse+ecart; if (vitG <0) {vitG=0;}  
 vitD =  Vitesse-ecart; if (vitD <0) {vitD=0;}
   analogWrite (PinAvG, vitG); // 0-256 
   analogWrite (PinAvD, vitD); // 256-0
#ifdef Serie
  delay (1000); 
  Serial.print ("piste "); Serial.print (caPiste);
  Serial.print ("  ecart "); Serial.print (ecart);
  Serial.print ("  vitG "); Serial.print (vitG);
  Serial.print ("  vitD "); Serial.println (vitD);
#endif
}

